The customer token (customerToken or CUSTOMER_TOKEN) that will be used to
identify which customer is viewing the dashboard. You should save this on your
end to use when rendering an embedded dashboard by passing this token into the
web component or iframe. Example usage
here.
The ID you use to identify this customer in your database that you provided.
This is also the ID you will use to reference your customer in Explo queries
or access your customer via the API. For more information on example usage,
check out this section.
True if this customer is a demo customer, which means that data panels will
include a demo watermark for the customer. Demo customers do not count towards
paid customers.
A set of key-value pairs assigned to this customer. These will be accessible
through variables in the dashboards and SQL editor. More information on
properties can be found in this
section.
A set of key-values pairs that map a schema id to the data source that this
customer loads data from. For more information on schemas and data sources,
check out this section.
A schema datasource mapping object based on the
parent_schema_datasource_mapping of the customer and any inherited
parent_schema_datasource_mapping from parent customers.
{"docsConfig":{"$schema":"https://mintlify.com/docs.json","theme":"mint","name":"Explo","colors":{"primary":"#0069ED","light":"#4D9CFF","dark":"#0050B4"},"favicon":"/favicon.png","logo":{"light":"https://mintcdn.com/explo/W1dLS0orXWucM1gW/logo/light.svg?fit=max\u0026auto=format\u0026n=W1dLS0orXWucM1gW\u0026q=85\u0026s=e0479125df798410f4acd8938e757e9b","dark":"https://mintcdn.com/explo/W1dLS0orXWucM1gW/logo/dark.svg?fit=max\u0026auto=format\u0026n=W1dLS0orXWucM1gW\u0026q=85\u0026s=820b9961213857a8d31d7186a74d4d7c"},"api":{"mdx":{"server":"https://api.explo.co","auth":{"method":"key","name":"Explo-Authorization"}}},"navbar":{"links":[{"label":"Take a tour","href":"https://try.explo.co/?utm_source=docs"}],"primary":{"type":"button","label":"Request free trial","href":"https://www.explo.co/book-a-demo"}},"seo":{"metatags":{"og:title":"Explo | Customer-facing analytics for any platform","og:image":"https://uploads-ssl.webflow.com/62f681c18d50329187681754/654198e19dd9d2a6544daab9_new%20OgImage.png","og:description":"An embedded analytics solution for product and engineering teams. Interactive dashboards, self-serve reporting, Explo AI, and enterprise-grade security all for your end users."},"indexing":"navigable"},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"explo","hasAudioNarration":false,"actualSubdomain":"explo","customDomains":["docs.explo.co"],"gitSource":{"type":"github","owner":"trust-kaz","repo":"embeddo","deployBranch":"main","contentDirectory":"docs","mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a20c342ff8eb428740360e8","collectionId":"66804ffa-68ee-4289-bcce-7e514ab72711","schemaVersion":"v2"},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6a20c342ff8eb428740360e8:success","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Documentation","count":174},{"language":"default","tag":"Dashboards","count":89},{"language":"default","tag":"Creating Dashboards","count":67},{"language":"default","tag":"API Reference","count":34},{"language":"default","tag":"Data","count":32},{"language":"default","tag":"Visualizations","count":30},{"language":"default","tag":"Dashboard Features","count":22},{"language":"default","tag":"Connecting to Data Sources","count":20},{"language":"default","tag":"All Charts","count":19},{"language":"default","tag":"UI Elements","count":17}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/customer-api/refresh-token","slug":"/api-reference/customer-api/refresh-token","pageMetadata":{"title":"Refresh Customer Token","sidebarTitle":"Refresh Token","api":"POST /api/refresh_customer_token/","description":null,"href":"/api-reference/customer-api/refresh-token"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,p:`p`,..._provideComponents(),...props.components},{Expandable,Heading,ParamField,ResponseField}=_components;if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This endpoint refreshes a customer token. This is useful when you want to force a customer token to rotate because an existing one may be compromised.`}),`\n`,_jsx(Heading,{level:`3`,id:`body`,children:`Body`}),`\n`,_jsx(ParamField,{body:`current_token`,type:`string`,id:`param-current-token`,children:_jsx(_components.p,{children:`This is the current customer token you have for the customer that you want to\nrotate.`})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`success`,type:`number`,id:`param-success`,children:_jsx(_components.p,{children:`Indicates whether the call was successful. 1 if successful, 0 if not.`})}),`\n`,_jsxs(ResponseField,{name:`customer`,type:`object`,id:`param-customer`,children:[_jsx(_components.p,{children:`The contents of the customer`}),_jsxs(Expandable,{title:`Toggle object`,children:[_jsx(ResponseField,{name:`token`,type:`string`,id:`param-token`,children:_jsxs(_components.p,{children:[`The customer token (customerToken or CUSTOMER_TOKEN) that will be used to\nidentify which customer is viewing the dashboard. You should save this on your\nend to use when rendering an embedded dashboard by passing this token into the\nweb component or iframe. Example usage\n`,_jsx(_components.a,{href:`/embedding-documentation/dashboard/option-1-web-component/`,children:`here`}),`.`]})}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`The display name you provided for your customer in Explo.`})}),_jsx(ResponseField,{name:`provided_id`,type:`string`,id:`param-provided-id`,children:_jsxs(_components.p,{children:[`The ID you use to identify this customer in your database that you provided.\nThis is also the ID you will use to reference your customer in Explo queries\nor access your customer via the API. For more information on example usage,\ncheck out `,_jsx(_components.a,{href:`/creating-dashboards/variables/tips`,children:`this section`}),`.`]})}),_jsx(ResponseField,{name:`emails`,type:`object`,id:`param-emails`,children:_jsx(_components.p,{children:`An array of email addresses you provided for your customer.`})}),_jsx(ResponseField,{name:`is_demo_group`,type:`boolean`,id:`param-is-demo-group`,children:_jsx(_components.p,{children:`True if this customer is a demo customer, which means that data panels will\ninclude a demo watermark for the customer. Demo customers do not count towards\npaid customers.`})}),_jsx(ResponseField,{name:`properties`,type:`JSON or null`,id:`param-properties`,children:_jsxs(_components.p,{children:[`A set of key-value pairs assigned to this customer. These will be accessible\nthrough variables in the dashboards and SQL editor. More information on\nproperties can be found in `,_jsx(_components.a,{href:`/creating-dashboards/variables/passing-in-variables`,children:`this\nsection`}),`.`]})}),_jsx(ResponseField,{name:`computed_properties`,type:`JSON`,id:`param-computed-properties`,children:_jsx(_components.p,{children:`A properties object based on the provided properties of this customer and any\ninherited properties from parent customers.`})}),_jsx(ResponseField,{name:`parent_schema_datasource_mapping`,type:`JSON | Null`,id:`param-parent-schema-datasource-mapping`,children:_jsxs(_components.p,{children:[`A set of key-values pairs that map a schema id to the data source that this\ncustomer loads data from. For more information on schemas and data sources,\ncheck out `,_jsx(_components.a,{href:`/database-setup/data-sources-and-schema/`,children:`this section`}),`.`]})}),_jsx(ResponseField,{name:`computed_parent_schema_datasource_mapping`,type:`JSON`,id:`param-computed-parent-schema-datasource-mapping`,children:_jsx(_components.p,{children:`A schema datasource mapping object based on the\nparent_schema_datasource_mapping of the customer and any inherited\nparent_schema_datasource_mapping from parent customers.`})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Refresh Customer Token","sidebarTitle":"Refresh Token","api":"POST /api/refresh_customer_token/","description":null,"href":"/api-reference/customer-api/refresh-token"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,ParamField,RequestExample,ResponseExample,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`This endpoint refreshes a customer token. This is useful when you want to force a customer token to rotate because an existing one may be compromised.`}),`\n`,_jsx(Heading,{level:`3`,id:`body`,children:`Body`}),`\n`,_jsx(ParamField,{body:`current_token`,type:`string`,id:`param-current-token`,children:_jsx(_components.p,{children:`This is the current customer token you have for the customer that you want to\nrotate.`})}),`\n`,_jsx(Heading,{level:`3`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`success`,type:`number`,id:`param-success`,children:_jsx(_components.p,{children:`Indicates whether the call was successful. 1 if successful, 0 if not.`})}),`\n`,_jsxs(ResponseField,{name:`customer`,type:`object`,id:`param-customer`,children:[_jsx(_components.p,{children:`The contents of the customer`}),_jsxs(Expandable,{title:`Toggle object`,children:[_jsx(ResponseField,{name:`token`,type:`string`,id:`param-token`,children:_jsxs(_components.p,{children:[`The customer token (customerToken or CUSTOMER_TOKEN) that will be used to\nidentify which customer is viewing the dashboard. You should save this on your\nend to use when rendering an embedded dashboard by passing this token into the\nweb component or iframe. Example usage\n`,_jsx(_components.a,{href:`/embedding-documentation/dashboard/option-1-web-component/`,children:`here`}),`.`]})}),_jsx(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:_jsx(_components.p,{children:`The display name you provided for your customer in Explo.`})}),_jsx(ResponseField,{name:`provided_id`,type:`string`,id:`param-provided-id`,children:_jsxs(_components.p,{children:[`The ID you use to identify this customer in your database that you provided.\nThis is also the ID you will use to reference your customer in Explo queries\nor access your customer via the API. For more information on example usage,\ncheck out `,_jsx(_components.a,{href:`/creating-dashboards/variables/tips`,children:`this section`}),`.`]})}),_jsx(ResponseField,{name:`emails`,type:`object`,id:`param-emails`,children:_jsx(_components.p,{children:`An array of email addresses you provided for your customer.`})}),_jsx(ResponseField,{name:`is_demo_group`,type:`boolean`,id:`param-is-demo-group`,children:_jsx(_components.p,{children:`True if this customer is a demo customer, which means that data panels will\ninclude a demo watermark for the customer. Demo customers do not count towards\npaid customers.`})}),_jsx(ResponseField,{name:`properties`,type:`JSON or null`,id:`param-properties`,children:_jsxs(_components.p,{children:[`A set of key-value pairs assigned to this customer. These will be accessible\nthrough variables in the dashboards and SQL editor. More information on\nproperties can be found in `,_jsx(_components.a,{href:`/creating-dashboards/variables/passing-in-variables`,children:`this\nsection`}),`.`]})}),_jsx(ResponseField,{name:`computed_properties`,type:`JSON`,id:`param-computed-properties`,children:_jsx(_components.p,{children:`A properties object based on the provided properties of this customer and any\ninherited properties from parent customers.`})}),_jsx(ResponseField,{name:`parent_schema_datasource_mapping`,type:`JSON | Null`,id:`param-parent-schema-datasource-mapping`,children:_jsxs(_components.p,{children:[`A set of key-values pairs that map a schema id to the data source that this\ncustomer loads data from. For more information on schemas and data sources,\ncheck out `,_jsx(_components.a,{href:`/database-setup/data-sources-and-schema/`,children:`this section`}),`.`]})}),_jsx(ResponseField,{name:`computed_parent_schema_datasource_mapping`,type:`JSON`,id:`param-computed-parent-schema-datasource-mapping`,children:_jsx(_components.p,{children:`A schema datasource mapping object based on the\nparent_schema_datasource_mapping of the customer and any inherited\nparent_schema_datasource_mapping from parent customers.`})})]})]}),`\n`,_jsx(RequestExample,{children:_jsx(CodeBlock,{filename:`Example Request`,numberOfLines:`6`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`6`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --location`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` --request`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` POST`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'https://api.explo.co/api/update_customer/'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--header `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Content-Type: application/json'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--header `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'Explo-Authorization: Token \u003ctoken>'`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`--data-raw `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`'{`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"current_token\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\"`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`}'`})}),`\n`]})})})}),`\n`,_jsx(ResponseExample,{children:_jsx(CodeBlock,{filename:`Response`,numberOfLines:`14`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`14`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"customer\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"token\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"\u003ccustomer_token_to_auth_dashboard>\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Example 1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"provided_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"example_1\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_demo_group\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"emails\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"[email protected]\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"filterValue\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"new_value\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"computed_properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"filterValue\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"new_value\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"parent_schema_datasource_mapping\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"40\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"213\"`}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`:`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"134\"`}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`:`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:` 386`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"},`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"`}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`computed_parent_schema_datasource_mapping`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\": {\"`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`40`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\": \"`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`213`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\": \"`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`134`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\": 386\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Refresh Customer Token","sidebarTitle":"Refresh Token","api":"POST /api/refresh_customer_token/","description":null,"href":"/api-reference/customer-api/refresh-token"}}}},"mdxExtracts":{"tableOfContents":[{"title":"Body","slug":"body","depth":3,"children":[]},{"title":"Response","slug":"response","depth":3,"children":[]}],"codeExamples":{"request":{"type":"RequestExample","children":[{"filename":"Example Request","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"shellscript\">\u003ccode language=\"shellscript\" numberOfLines=\"6\">\u003cspan class=\"line\">\u003cspan style=\"color:#953800;--shiki-dark:#DCDCAA\">curl\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --location\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\"> --request\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> POST\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> 'https://api.explo.co/api/update_customer/'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--header \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'Content-Type: application/json'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--header \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'Explo-Authorization: Token \u0026#x3C;token>'\u003c/span>\u003cspan style=\"color:#CF222E;--shiki-dark:#D7BA7D\"> \\\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">--data-raw \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">'{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"current_token\": \"aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa\"\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">}'\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]},"response":{"type":"ResponseExample","children":[{"filename":"Response","html":"\u003cpre class=\"shiki shiki-themes github-light-default dark-plus\" style=\"background-color:#ffffff;--shiki-dark-bg:#0B0C0E;color:#1f2328;--shiki-dark:#D4D4D4\" language=\"json\">\u003ccode language=\"json\" numberOfLines=\"14\">\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">{\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"success\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">1\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"customer\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"token\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"\u0026#x3C;customer_token_to_auth_dashboard>\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"name\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"Example 1\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"provided_id\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"example_1\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"is_demo_group\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#569CD6\">false\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">,\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"emails\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: [\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"[email protected]\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">],\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"properties\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: { \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"filterValue\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"new_value\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"computed_properties\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: { \u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"filterValue\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"new_value\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> },\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\"> \"parent_schema_datasource_mapping\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: {\u003c/span>\u003cspan style=\"color:#116329;--shiki-dark:#9CDCFE\">\"40\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">: \u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"213\"\u003c/span>\u003cspan style=\"color:#82071E;--shiki-light-font-style:italic;--shiki-dark:#F44747;--shiki-dark-font-style:inherit\">:\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"134\"\u003c/span>\u003cspan style=\"color:#82071E;--shiki-light-font-style:italic;--shiki-dark:#F44747;--shiki-dark-font-style:inherit\">:\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\"> 386\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\"},\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\"> \"\u003c/span>\u003cspan style=\"color:#82071E;--shiki-light-font-style:italic;--shiki-dark:#F44747;--shiki-dark-font-style:inherit\">computed_parent_schema_datasource_mapping\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\": {\"\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">40\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\": \"\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">213\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\": \"\u003c/span>\u003cspan style=\"color:#0550AE;--shiki-dark:#B5CEA8\">134\u003c/span>\u003cspan style=\"color:#0A3069;--shiki-dark:#CE9178\">\": 386\"\u003c/span>\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\"> }\u003c/span>\u003c/span>\n\u003cspan class=\"line\">\u003cspan style=\"color:#1F2328;--shiki-dark:#D4D4D4\">}\u003c/span>\u003c/span>\n\u003c/code>\u003c/pre>"}],"attributes":[]}},"endpoint":{"title":"Refresh Customer Token","path":"/api/refresh_customer_token/","servers":[{"url":"https://api.explo.co"}],"method":"post","request":{"security":[{"title":"API Key Auth","parameters":{"header":{"Explo-Authorization":{"type":"apiKey"}},"query":{},"cookie":{}}}],"parameters":{"query":{},"header":{},"cookie":{},"path":{}},"body":{"application/json":{"schemaArray":[{"type":"object","properties":{"current_token":[{"type":"string","description":"This is the current customer token you have for the customer that you want to rotate."}]}}],"examples":{"example":{"value":{"current_token":"\u003cstring>"}}}}}},"response":{"200":{"application/json":{"schemaArray":[{"type":"object","properties":{"success":[{"type":"number","description":"Indicates whether the call was successful. 1 if successful, 0 if not."}],"customer":[{"type":"object","properties":{"token":[{"type":"string","description":"The customer token (customerToken or CUSTOMER_TOKEN) that will be used to identify which customer is viewing the dashboard. You should save this on your end to use when rendering an embedded dashboard by passing this token into the web component or iframe. Example usage here ."}],"name":[{"type":"string","description":"The display name you provided for your customer in Explo."}],"provided_id":[{"type":"string","description":"The ID you use to identify this customer in your database that you provided. This is also the ID you will use to reference your customer in Explo queries or access your customer via the API. For more information on example usage, check out this section ."}],"emails":[{"type":"object","properties":{},"description":"An array of email addresses you provided for your customer."}],"is_demo_group":[{"type":"boolean","description":"True if this customer is a demo customer, which means that data panels will include a demo watermark for the customer. Demo customers do not count towards paid customers."}],"properties":[{"type":"object","properties":{},"description":"A set of key-value pairs assigned to this customer. These will be accessible through variables in the dashboards and SQL editor. More information on properties can be found in this section ."}],"computed_properties":[{"type":"any","description":"A properties object based on the provided properties of this customer and any inherited properties from parent customers."}],"parent_schema_datasource_mapping":[{"type":"object","properties":{},"description":"A set of key-values pairs that map a schema id to the data source that this customer loads data from. For more information on schemas and data sources, check out this section ."}],"computed_parent_schema_datasource_mapping":[{"type":"any","description":"A schema datasource mapping object based on the parent_schema_datasource_mapping of the customer and any inherited parent_schema_datasource_mapping from parent customers."}]},"description":"The contents of the customer"}]}}],"examples":{"example":{"value":{"success":123,"customer":{"token":"\u003cstring>","name":"\u003cstring>","provided_id":"\u003cstring>","emails":{},"is_demo_group":true,"properties":{},"computed_properties":"\u003cany>","parent_schema_datasource_mapping":{},"computed_parent_schema_datasource_mapping":"\u003cany>"}}}}}}},"deprecated":false}},"jsLinks":[],"subdomain":"explo","siteName":"Explo","title":"Explo | Customer-facing analytics for any platform","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-10-15T03:46:01.461Z","originalFileLocation":"api-reference/customer-api/refresh-token.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Explo\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/explo/Redz2LxTO0BDLUHi/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/explo/Redz2LxTO0BDLUHi/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/explo/Redz2LxTO0BDLUHi/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/explo/Redz2LxTO0BDLUHi/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/explo/Redz2LxTO0BDLUHi/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/explo/Redz2LxTO0BDLUHi/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/explo/Redz2LxTO0BDLUHi/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/explo/Redz2LxTO0BDLUHi/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/explo/Redz2LxTO0BDLUHi/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Explo | Customer-facing analytics for any platform\">\u003cmeta data-mint-head property=\"og:description\" content=\"An embedded analytics solution for product and engineering teams. Interactive dashboards, self-serve reporting, Explo AI, and enterprise-grade security all for your end users.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Explo\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.explo.co/api-reference/customer-api/refresh-token\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://uploads-ssl.webflow.com/62f681c18d50329187681754/654198e19dd9d2a6544daab9_new%20OgImage.png\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Explo | Customer-facing analytics for any platform\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"An embedded analytics solution for product and engineering teams. Interactive dashboards, self-serve reporting, Explo AI, and enterprise-grade security all for your end users.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://uploads-ssl.webflow.com/62f681c18d50329187681754/654198e19dd9d2a6544daab9_new%20OgImage.png\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/explo/Redz2LxTO0BDLUHi/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Explo\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0069ED\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.explo.co/api-reference/customer-api/refresh-token\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/customer-api/refresh-token.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.explo.co/#organization\",\"name\":\"Explo\",\"url\":\"https://docs.explo.co\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/explo/W1dLS0orXWucM1gW/logo/light.svg?fit=max\u0026auto=format\u0026n=W1dLS0orXWucM1gW\u0026q=85\u0026s=e0479125df798410f4acd8938e757e9b\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.explo.co#website\",\"name\":\"Explo\",\"url\":\"https://docs.explo.co\",\"publisher\":{\"@id\":\"https://docs.explo.co/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.explo.co/api-reference/customer-api/refresh-token#webpage\",\"url\":\"https://docs.explo.co/api-reference/customer-api/refresh-token\",\"name\":\"Refresh Customer Token\",\"dateModified\":\"2025-10-15T03:46:01.461Z\",\"isPartOf\":{\"@id\":\"https://docs.explo.co#website\"},\"breadcrumb\":{\"@id\":\"https://docs.explo.co/api-reference/customer-api/refresh-token#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.explo.co/api-reference/customer-api/refresh-token#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Customer API\",\"item\":\"https://docs.explo.co/api-reference/customer-api\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Refresh Customer Token\",\"item\":\"https://docs.explo.co/api-reference/customer-api/refresh-token\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.explo.co/api-reference/customer-api/refresh-token#apireference\",\"headline\":\"Refresh Customer Token\",\"name\":\"Refresh Customer Token\",\"url\":\"https://docs.explo.co/api-reference/customer-api/refresh-token\",\"mainEntityOfPage\":{\"@id\":\"https://docs.explo.co/api-reference/customer-api/refresh-token#webpage\"},\"image\":\"https://uploads-ssl.webflow.com/62f681c18d50329187681754/654198e19dd9d2a6544daab9_new%20OgImage.png\",\"dateModified\":\"2025-10-15T03:46:01.461Z\",\"publisher\":{\"@id\":\"https://docs.explo.co/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.explo.co#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Explo\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Explo","nav":{"global":null,"anchors":[{"anchor":"Documentation","icon":"book-open","pages":[{"title":"Documentation","href":"/explo-help-desk"}]},{"anchor":"API Reference","icon":"rectangle-terminal","groups":[{"group":"API Documentation","pages":[{"title":"Explo's Authentication","href":"/api-reference/explos-authentication"},{"title":"Overview","href":"/api-reference/overview"}]},{"group":"Customer API","pages":[{"title":"Customer Endpoints","href":"/api-reference/customer-api"},{"title":"Get all customers (v2)","sidebarTitle":"Get All (v2)","api":"GET /v2/api/customers/","href":"/api-reference/customer-api/customers-v2"},{"title":"[Deprecated] Get all customers (v1)","sidebarTitle":"[Deprecated] Get All (v1)","api":"GET /api/customers/","href":"/api-reference/customer-api/customers"},{"title":"Get Customer","sidebarTitle":"Get","api":"POST /api/get_customer/","href":"/api-reference/customer-api/get"},{"title":"Get or Create Customer","sidebarTitle":"Get or Create","api":"POST /api/create_customer/","href":"/api-reference/customer-api/get-or-create"},{"title":"Update Customer","sidebarTitle":"Update","api":"POST /api/update_customer/","href":"/api-reference/customer-api/update"},{"title":"Delete Customer","sidebarTitle":"Delete","api":"DELETE /api/delete_customer/","description":null,"href":"/api-reference/customer-api/delete"},{"title":"Refresh Customer Token","sidebarTitle":"Refresh Token","api":"POST /api/refresh_customer_token/","href":"/api-reference/customer-api/refresh-token"},{"title":"Configure Customer Portal","sidebarTitle":"Configure Portal","api":"POST /api/configure_customer_portal/","description":null,"href":"/api-reference/customer-api/configure-portal"},{"title":"Generate Embed JWT","sidebarTitle":"Generate JWT","api":"POST /api/generate_jwt/","href":"/api-reference/customer-api/generate-jwt"}]},{"group":"Resource API","pages":[{"title":"Resource Endpoints","href":"/api-reference/resource-api"},{"title":"List Team Dashboards","sidebarTitle":"List Team Dashboards","api":"GET /api/dashboard","href":"/api-reference/resource-api/get-dashboard"},{"title":"List Team Report Builders","sidebarTitle":"List Team Report Builders","api":"GET /api/reports","href":"/api-reference/resource-api/list-report-builders"},{"title":"Publish to Environment","sidebarTitle":"Publish to Environment","api":"POST /api/publish","href":"/api-reference/resource-api/publish-resource"},{"title":"Email Dashboard Screenshot as Attachment","sidebarTitle":"Email Dashboard Screenshot as Attachment","api":"POST /api/dashboard/screenshot","href":"/api-reference/resource-api/screenshot-dashboard"},{"title":"Email Dashboard Report","sidebarTitle":"Email Dashboard Report","api":"POST /api/dashboard/report","href":"/api-reference/resource-api/email-report"}]},{"group":"Partners API","pages":[{"title":"Partners Endpoints","href":"/api-reference/partners-api"},{"title":"Connect to Explo","sidebarTitle":"Connect to Explo","api":"POST /api/partners/connect","href":"/api-reference/partners-api/connect"}]},{"group":"Group Tag API","pages":[{"title":"Group Tag Endpoints","href":"/api-reference/group-tag-api"},{"title":"Get all group tags","sidebarTitle":"Get All","api":"GET /api/group_tags/","href":"/api-reference/group-tag-api/group-tags"},{"title":"Create Group Tag","sidebarTitle":"Create","api":"POST /api/create_group_tag/","href":"/api-reference/group-tag-api/create"},{"title":"Rename Group Tag","sidebarTitle":"Rename","api":"POST /api/rename_group_tag/","href":"/api-reference/group-tag-api/rename"},{"title":"Delete Group Tag","sidebarTitle":"Delete","api":"POST /api/delete_group_tag/","href":"/api-reference/group-tag-api/delete"}]},{"group":"End User API [Deprecated]","pages":[{"title":"End User Endpoints","href":"/api-reference/end-user-api"},{"title":"Get or Create End User","sidebarTitle":"Get or Create","api":"POST https://api.explo.co/api/create_end_user/","href":"/api-reference/end-user-api/get-or-create"},{"title":"Update End User","sidebarTitle":"Update","api":"POST https://api.explo.co/api/update_end_user/","href":"/api-reference/end-user-api/update"},{"title":"Delete End User","sidebarTitle":"Delete","api":"DELETE https://api.explo.co/api/delete_end_user/","href":"/api-reference/end-user-api/delete"}]},{"group":"End User Group API [Deprecated]","pages":[{"title":"End User Group Endpoints","href":"/api-reference/end-user-group-api"},{"title":"Get or Create User Group","sidebarTitle":"Get or Create","api":"POST /api/create_user_group/","href":"/api-reference/end-user-group-api/get-or-create"},{"title":"Update User Group","sidebarTitle":"Update","api":"POST /api/update_user_group/","href":"/api-reference/end-user-group-api/update"},{"title":"Delete User Group","sidebarTitle":"Delete","api":"DELETE /api/delete_user_group/","href":"/api-reference/end-user-group-api/delete"},{"title":"Refresh User Group Token","sidebarTitle":"Refresh Token","api":"POST /api/refresh_user_group_token/","href":"/api-reference/end-user-group-api/refresh-token"}]}]},{"anchor":"Security Trust Center","href":"https://security.explo.co/?itemUid=7bfa66da-33ab-49de-8391-e329738a1ae9\u0026source=click","icon":"shield-halved"},{"anchor":"Changelog","href":"https://www.explo.co/changelog","icon":"list"}]},"basePath":"","title":"Explo | Customer-facing analytics for any platform","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js"]}